diff --git a/lustre/tests/replay-single.sh b/lustre/tests/replay-single.sh
index d758682c6973f42985833b255cccc98da113155a..01a90443cd1c67b74acef97b3f9362c1fb0d1bbe 100755
--- a/lustre/tests/replay-single.sh
+++ b/lustre/tests/replay-single.sh
@@ -1385,7 +1385,7 @@ AT_MAX_SET=0
 
 at_start()
 {
-    at_is_valid || skip "AT env is invalid"
+    at_is_valid || { skip "AT env is invalid" && return 1 }
 
     if ! at_is_enabled; then
         echo "AT is disabled, enable it by force temporarily"